Get Invoice
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/invoices/{invoiceId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/invoices/{invoiceId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "in_1ABC123DEF456GHI",
"amount": 10000,
"currency": "usd",
"status": "paid",
"number": "GJXQAHMC-0001",
"customer": {
"id": "cus_ABC123XYZ",
"email": "customer@example.com",
"name": "John Doe"
},
"description": "",
"created": 1700000000
}{
"error": "An unexpected error occurred"
}Invoices
Get Invoice
Retrieve a single invoice for a connected account.
GET
/
stripe
/
connect
/
accounts
/
{accountId}
/
invoices
/
{invoiceId}
Get Invoice
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
The Stripe invoice ID
Response
OK
The invoice ID
Example:
"in_1ABC123DEF456GHI"
Amount in smallest currency unit (e.g., cents for USD)
Example:
10000
Three-letter ISO currency code
Example:
"usd"
Invoice status
Available options:
draft, open, paid, void, uncollectible Example:
"paid"
Invoice number
Example:
"GJXQAHMC-0001"
Show child attributes
Show child attributes
Invoice description
Example:
""
Unix timestamp of when the invoice was created
Example:
1700000000
⌘I
